List:Internals« Previous MessageNext Message »
From:jonas.oreland Date:May 7 2005 11:53am
Subject:bk commit into 4.1 tree (joreland:1.2236)
View as plain text  
Below is the list of changes that have just been committed into a local
4.1 repository of jonas. When jonas does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet
  1.2236 05/05/07 11:53:06 joreland@stripped +2 -0
  ndb - autotest
    upgrades to shell script

  ndb/test/run-test/ndb-autotest.sh
    1.7 05/05/07 11:53:03 joreland@stripped +11 -15
    bump version
    use rsync to sync participating hosts

  ndb/test/run-test/Makefile.am
    1.18 05/05/07 11:53:03 joreland@stripped +6 -1
    add config files

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	joreland
# Host:	eel.mysql.com
# Root:	/home/jonas/src/mysql-4.1

--- 1.6/ndb/test/run-test/ndb-autotest.sh	Fri May  6 19:20:29 2005
+++ 1.7/ndb/test/run-test/ndb-autotest.sh	Sat May  7 11:53:03 2005
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 save_args=$*
-VERSION="ndb-autotest.sh version 1.01"
+VERSION="ndb-autotest.sh version 1.02"
 
 DATE=`date '+%Y-%m-%d'`
 export DATE
@@ -134,20 +134,16 @@
 
 if [ "$deploy" ]
 then
-	(cd / && tar cfz /tmp/build.$DATE.tgz $run_dir )
-	for i in $hosts
-	do
-		ok=0
-		scp /tmp/build.$DATE.tgz $i:/tmp/build.$DATE.$$.tgz && \
-		ssh $i "rm -rf /space/autotest/*" && \
-		ssh $i "cd / && tar xfz /tmp/build.$DATE.$$.tgz" && \
-		ssh $i "rm /tmp/build.$DATE.$$.tgz" && ok=1
-		if [ $ok -eq 0 ]
-		then
-			echo "$i failed during scp/ssh, excluding"
-			echo $i >> /tmp/failed.$DATE
-		fi
-	done
+    for i in $hosts
+      do
+      rsync -v -a --delete --force --ignore-errors $run_dir/ $i:$run_dir
+      ok=$?
+      if [ $ok -ne 0 ]
+	  then
+	  echo "$i failed during rsync, excluding"
+	  echo $i >> /tmp/failed.$DATE
+      fi
+    done
 fi
 rm -f /tmp/build.$DATE.tgz
 

--- 1.17/ndb/test/run-test/Makefile.am	Wed Feb  9 15:20:33 2005
+++ 1.18/ndb/test/run-test/Makefile.am	Sat May  7 11:53:03 2005
@@ -6,7 +6,12 @@
 include $(top_srcdir)/ndb/config/type_mgmapiclient.mk.am
 
 test_PROGRAMS = atrt
-test_DATA=daily-basic-tests.txt daily-devel-tests.txt
+test_DATA=daily-basic-tests.txt daily-devel-tests.txt \
+          conf-daily-basic-ndbmaster.txt \
+          conf-daily-basic-shark.txt \
+          conf-daily-devel-ndbmaster.txt \
+          conf-daily-sql-ndbmaster.txt \
+          conf-daily-basic-dl145a.txt
 test_SCRIPTS=atrt-analyze-result.sh atrt-gather-result.sh atrt-setup.sh \
           atrt-clear-result.sh make-config.sh make-index.sh make-html-reports.sh
 
Thread
bk commit into 4.1 tree (joreland:1.2236)jonas.oreland7 May